<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>XsAtomicInt Class Reference</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#related">Related Functions</a> &#124;
<a href="class_xs_atomic_int-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">XsAtomicInt Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Wrapper class for easy use of XsAtomicIntValue values.  
 <a href="struct_xs_atomic_int.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ab454e0f65fba8f2d5b26233c2bafc395"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab454e0f65fba8f2d5b26233c2bafc395"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_atomic_int.html#ab454e0f65fba8f2d5b26233c2bafc395">XsAtomicInt</a> (XsAtomicIntValue val=0)</td></tr>
<tr class="memdesc:ab454e0f65fba8f2d5b26233c2bafc395"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialize the value. <br /></td></tr>
<tr class="separator:ab454e0f65fba8f2d5b26233c2bafc395"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab74a97897aa3821e0be901d5f7318c9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aab74a97897aa3821e0be901d5f7318c9"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_atomic_int.html#aab74a97897aa3821e0be901d5f7318c9">setValue</a> (XsAtomicIntValue val)</td></tr>
<tr class="memdesc:aab74a97897aa3821e0be901d5f7318c9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the value to the given <em>val</em>. <br /></td></tr>
<tr class="separator:aab74a97897aa3821e0be901d5f7318c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab984be9c7ab24d04e99e425b24227c31"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab984be9c7ab24d04e99e425b24227c31"></a>
XsAtomicIntValue&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_atomic_int.html#ab984be9c7ab24d04e99e425b24227c31">value</a> () const </td></tr>
<tr class="memdesc:ab984be9c7ab24d04e99e425b24227c31"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the current value. <br /></td></tr>
<tr class="separator:ab984be9c7ab24d04e99e425b24227c31"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6187dc98b39e0d15980c2bd903689a83"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6187dc98b39e0d15980c2bd903689a83"></a>
XsAtomicIntValue&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_atomic_int.html#a6187dc98b39e0d15980c2bd903689a83">operator++</a> ()</td></tr>
<tr class="memdesc:a6187dc98b39e0d15980c2bd903689a83"><td class="mdescLeft">&#160;</td><td class="mdescRight">Increase the value by one unit (prefix). <br /></td></tr>
<tr class="separator:a6187dc98b39e0d15980c2bd903689a83"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a335d9b691521edf710922f696aafc176"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a335d9b691521edf710922f696aafc176"></a>
XsAtomicIntValue&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_atomic_int.html#a335d9b691521edf710922f696aafc176">operator--</a> ()</td></tr>
<tr class="memdesc:a335d9b691521edf710922f696aafc176"><td class="mdescLeft">&#160;</td><td class="mdescRight">Decrease the value by one unit (prefix). <br /></td></tr>
<tr class="separator:a335d9b691521edf710922f696aafc176"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99ff66fb93a90cddb1c4d75e280fa66e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a99ff66fb93a90cddb1c4d75e280fa66e"></a>
XsAtomicIntValue&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_atomic_int.html#a99ff66fb93a90cddb1c4d75e280fa66e">operator++</a> (int)</td></tr>
<tr class="memdesc:a99ff66fb93a90cddb1c4d75e280fa66e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Increase the value by one unit (postfix). <br /></td></tr>
<tr class="separator:a99ff66fb93a90cddb1c4d75e280fa66e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6b82157e51ac647d431e8990977c82d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad6b82157e51ac647d431e8990977c82d"></a>
XsAtomicIntValue&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_atomic_int.html#ad6b82157e51ac647d431e8990977c82d">operator--</a> (int)</td></tr>
<tr class="memdesc:ad6b82157e51ac647d431e8990977c82d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Decrease the value by one unit (postfix). <br /></td></tr>
<tr class="separator:ad6b82157e51ac647d431e8990977c82d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a16af2e5614d442b3c17e1f8649eee272"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a16af2e5614d442b3c17e1f8649eee272"></a>
volatile XsAtomicIntValue&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_atomic_int.html#a16af2e5614d442b3c17e1f8649eee272">m_value</a></td></tr>
<tr class="memdesc:a16af2e5614d442b3c17e1f8649eee272"><td class="mdescLeft">&#160;</td><td class="mdescRight">The actual value. <br /></td></tr>
<tr class="separator:a16af2e5614d442b3c17e1f8649eee272"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="related"></a>
Related Functions</h2></td></tr>
<tr><td class="ititle" colspan="2"><p>(Note that these are not member functions.) </p>
</td></tr>
<tr class="memitem:a2af3d4413d00229c097c3cdc11fa9e32"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2af3d4413d00229c097c3cdc11fa9e32"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_atomic_int.html#a2af3d4413d00229c097c3cdc11fa9e32">XsAtomicInt_preIncrement</a>(a)&#160;&#160;&#160;((XsAtomicIntValue) atomicIncrement((a)-&gt;<a class="el" href="struct_xs_atomic_int.html#a16af2e5614d442b3c17e1f8649eee272">m_value</a>))</td></tr>
<tr class="memdesc:a2af3d4413d00229c097c3cdc11fa9e32"><td class="mdescLeft">&#160;</td><td class="mdescRight">Increase the value by one unit (prefix notation). <br /></td></tr>
<tr class="separator:a2af3d4413d00229c097c3cdc11fa9e32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa01154af11c7c6bcab0e62f8cfbd8cca"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa01154af11c7c6bcab0e62f8cfbd8cca"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_atomic_int.html#aa01154af11c7c6bcab0e62f8cfbd8cca">XsAtomicInt_preDecrement</a>(a)&#160;&#160;&#160;((XsAtomicIntValue) atomicDecrement((a)-&gt;<a class="el" href="struct_xs_atomic_int.html#a16af2e5614d442b3c17e1f8649eee272">m_value</a>))</td></tr>
<tr class="memdesc:aa01154af11c7c6bcab0e62f8cfbd8cca"><td class="mdescLeft">&#160;</td><td class="mdescRight">Decrease the value by one unit (prefix notation). <br /></td></tr>
<tr class="separator:aa01154af11c7c6bcab0e62f8cfbd8cca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6ed42595d9071f16a32ee20be5a788f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad6ed42595d9071f16a32ee20be5a788f"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_atomic_int.html#ad6ed42595d9071f16a32ee20be5a788f">XsAtomicInt_postIncrement</a>(a)&#160;&#160;&#160;((XsAtomicIntValue) atomicIncrement((a)-&gt;<a class="el" href="struct_xs_atomic_int.html#a16af2e5614d442b3c17e1f8649eee272">m_value</a>) - 1)</td></tr>
<tr class="memdesc:ad6ed42595d9071f16a32ee20be5a788f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Increase the value by one unit (postfix notation). <br /></td></tr>
<tr class="separator:ad6ed42595d9071f16a32ee20be5a788f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9c337967a7443b13a8bfaec5298a4c6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad9c337967a7443b13a8bfaec5298a4c6"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_atomic_int.html#ad9c337967a7443b13a8bfaec5298a4c6">XsAtomicInt_postDecrement</a>(a)&#160;&#160;&#160;((XsAtomicIntValue) atomicDecrement((a)-&gt;<a class="el" href="struct_xs_atomic_int.html#a16af2e5614d442b3c17e1f8649eee272">m_value</a>) + 1)</td></tr>
<tr class="memdesc:ad9c337967a7443b13a8bfaec5298a4c6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Decrease the value by one unit (postfix notation). <br /></td></tr>
<tr class="separator:ad9c337967a7443b13a8bfaec5298a4c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Wrapper class for easy use of XsAtomicIntValue values. </p>
</div></div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Wed May 17 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
